﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Threading;
using System.Globalization;

public partial class SiteMaster : System.Web.UI.MasterPage
{
 

    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void ThLinkButton_Click(object sender, EventArgs e)
    {
        SetCulture("th-TH");
    }
    protected void EnLinkButton_Click(object sender, EventArgs e)
    {
        SetCulture("en-US");
    }

    protected void SetCulture(string culture)
    {
        Session["CurrentUsrCulture"] = culture;
        Thread.CurrentThread.CurrentCulture = CultureInfo.GetCultureInfo(culture);
        Thread.CurrentThread.CurrentUICulture = CultureInfo.CreateSpecificCulture(culture);
        Response.Redirect(Request.Path);
    }

    protected void btnMenu_Click(object sender, EventArgs e)
    {
        string arg = string.Empty;
        if (sender is LinkButton)
            arg = ((LinkButton)sender).CommandArgument;
        else if (sender is ImageButton)
            arg = ((ImageButton)sender).CommandArgument;

        switch (arg)
        {
            case "Home":
                Response.Redirect(ResolveUrl("~/Default.aspx"));
                //panelSubMenu.Visible = false;
                //panelMenuDeveloper.Visible = false;
                //panelMenuProfile.Visible = false;
                break;
            case "ShowCase":
                Response.Redirect(ResolveUrl("~/ShowcaseMain.aspx"));
                //panelSubMenu.Visible = false;
                //panelMenuDeveloper.Visible = false;
                //panelMenuProfile.Visible = false;
                break;
            case "Developer":
                Response.Redirect(ResolveUrl("~/Public/DevMain.aspx"));
                //panelSubMenu.Visible = true;
                //panelMenuDeveloper.Visible = true;
                //panelMenuProfile.Visible = false;
                break;
            case "Administrator":
                Response.Redirect(ResolveUrl("~/Administrator/MemberList.aspx"));
                //panelSubMenu.Visible = false;
                //panelMenuDeveloper.Visible = false;
                //panelMenuProfile.Visible = false;
                break;
            case "UserDetail":
                //panelSubMenu.Visible = true;
                //panelMenuDeveloper.Visible = false;
                //panelMenuProfile.Visible = true;
                break;
        }
    }
}
